# mouse.h File Reference

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Defines

#define | _MOUSE_H

## Functions

void | mouseHandler ()
int | mouseInit ()
void | mouseISR ()

## Define Documentation

#define _MOUSE_H

Definition at line 31 of file mouse.h.

## Function Documentation

void mouseHandler | ( |  | ) |

Definition at line 141 of file mouse.c.

References eoi, kprintf(), mPic, outportByte(), and sPic.

Here is the call graph for this function:

int mouseInit | ( |  | ) |

Definition at line 94 of file mouse.c.

References dDpl3, dInt, dPresent, eoi, irqEnable(), kbdRead(), kbdWrite(), kbdWriteRead(), kprintf(), mouseISR(), mPic, mVec, outportByte(), setVector(), and sPic.

Here is the call graph for this function:

void mouseISR | ( |  | ) |

Referenced by mouseInit().